NSX-T Data Center Global Manager REST API

Patch a distributed firewall security policy

Create or partially update a distributed firewall (DFW) security policy for a domain.
If a security policy for the given security-policy-id is not present, the object will
get created and if it is present it will be updated.
Performance Note: If you want to edit several rules in a security policy
use this API. It will perform better than several individual rule APIs.
Just pass all the rules which you wish to edit as embedded rules to it.

Request:

Method:
PATCH
URI Path(s):
/global-manager/api/v1/global-infra/domains/{domain-id}/security-policies/{security-policy-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
SecurityPolicy+

Example Request:

PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/domains/vmc/security-policies/application-section-1 { "description": "security policy patched", "display_name": "application-section-1", "category": "Application", "rules": [ { "description": " rule", "display_name": "ce-1", "sequence_number": 1, "source_groups": [ "/global-infra/domains/vmc/groups/dbgroup" ], "destination_groups": [ "/global-infra/domains/vmc/groups/appgroup" ], "services": [ "/global-infra/services/HTTP", "/global-infra/services/CIM-HTTP" ], "action": "ALLOW" } ] }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_dfw

Additional Errors: